<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Class com.here.android.mpa.venues3d.Space (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.here.android.mpa.venues3d.Space (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/venues3d/class-use/Space.html" target="_top">Frames</a></li>
<li><a href="Space.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.here.android.mpa.venues3d.Space" class="title">Uses of Class<br>com.here.android.mpa.venues3d.Space</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.venues3d">com.here.android.mpa.venues3d</a></td>
<td class="colLast">
<div class="block">
    This package provides facilities to search and display objects representing three-dimensional
    views of venues.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.here.android.mpa.venues3d">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> in <a href="../../../../../../com/here/android/mpa/venues3d/package-summary.html">com.here.android.mpa.venues3d</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/venues3d/package-summary.html">com.here.android.mpa.venues3d</a> that return <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></code></td>
<td class="colLast"><span class="typeNameLabel">VenueController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/VenueController.html#getSelectedSpace--">getSelectedSpace</a></span>()</code>
<div class="block">This method retrieves the selected <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> or <code>null</code> if no space is currently
 selected.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></code></td>
<td class="colLast"><span class="typeNameLabel">VenueManeuver.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/VenueManeuver.html#getSpace--">getSpace</a></span>()</code>
<div class="block">Returns an <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> object related to this maneuver.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></code></td>
<td class="colLast"><span class="typeNameLabel">Venue.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Venue.html#getSpace-java.lang.String-">getSpace</a></span>(java.lang.String id)</code>
<div class="block">This method retrieves the space or the facility as the <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> object
 based on the given identifier inside this <code>Venue</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></code></td>
<td class="colLast"><span class="typeNameLabel">OuterArea.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/OuterArea.html#getSpaceAtPosition-com.here.android.mpa.common.GeoCoordinate-">getSpaceAtPosition</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> position)</code>
<div class="block">This method retrieves the <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> of the outer area at a given position.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/venues3d/package-summary.html">com.here.android.mpa.venues3d</a> that return types with arguments of type <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Level.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Level.html#getNearbySpaces-com.here.android.mpa.common.GeoCoordinate-float-">getNearbySpaces</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> position,
               float radius)</code>
<div class="block">This method retrievs spaces that intersect a circle around a given coordinate.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">OuterArea.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/OuterArea.html#getNearbySpaces-com.here.android.mpa.common.GeoCoordinate-float-">getNearbySpaces</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> position,
               float radius)</code>
<div class="block">This method retrievs spaces that intersect a circle around a given coordinate.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Venue.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Venue.html#getNearbySpaces-com.here.android.mpa.venues3d.Space-float-">getNearbySpaces</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space,
               float radius)</code>
<div class="block">This method retrieves spaces that intersect a circle around the center of a space.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Venue.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Venue.html#getSortedSpaces--">getSortedSpaces</a></span>()</code>
<div class="block">This method retrieves the alphabetically ordered array of <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> objects for the given
 <code>Venue</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Level.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Level.html#getSortedSpaces--">getSortedSpaces</a></span>()</code>
<div class="block">This method retrieves an alphabetically-ordered list of <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> objects for the given
 instance of <code>Level</code>, excluding facilities.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Level.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Level.html#getSortedSpacesByCategory-java.lang.String-">getSortedSpacesByCategory</a></span>(java.lang.String categoryName)</code>
<div class="block">This method retrieves an alphabetically-ordered list of <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> objects that belong to
 the category specified by the caller for all the <a href="../../../../../../com/here/android/mpa/venues3d/OuterArea.html" title="class in com.here.android.mpa.venues3d"><code>OuterArea</code></a> instances that belong to
 the given <code>Level</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Level.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Level.html#getSortedSpacesWithFacilities--">getSortedSpacesWithFacilities</a></span>()</code>
<div class="block">This method retrieves an alphabetically-ordered list of all the <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> objects
 associated with all the <a href="../../../../../../com/here/android/mpa/venues3d/OuterArea.html" title="class in com.here.android.mpa.venues3d"><code>OuterArea</code></a> objects of the given instance of <code>Level</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">OuterArea.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/OuterArea.html#getSpaces--">getSpaces</a></span>()</code>
<div class="block">This method retrieves an array of <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d"><code>Space</code></a> objects for the given instance of
 <code>OuterArea</code>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/venues3d/package-summary.html">com.here.android.mpa.venues3d</a> with parameters of type <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Venue.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/Venue.html#getNearbySpaces-com.here.android.mpa.venues3d.Space-float-">getNearbySpaces</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space,
               float radius)</code>
<div class="block">This method retrieves spaces that intersect a circle around the center of a space.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/venues3d/StyleSettings.html" title="class in com.here.android.mpa.venues3d">StyleSettings</a></code></td>
<td class="colLast"><span class="typeNameLabel">VenueController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/VenueController.html#getStyleSettings-com.here.android.mpa.venues3d.Space-">getStyleSettings</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space)</code>
<div class="block">Returns <a href="../../../../../../com/here/android/mpa/venues3d/StyleSettings.html" title="class in com.here.android.mpa.venues3d"><code>StyleSettings</code></a> object for the specific space.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VenueMapFragment.VenueListener.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/VenueMapFragment.VenueListener.html#onSpaceDeselected-com.here.android.mpa.venues3d.Venue-com.here.android.mpa.venues3d.Space-">onSpaceDeselected</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/Venue.html" title="class in com.here.android.mpa.venues3d">Venue</a> venue,
                 <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space)</code>
<div class="block">This callback method is triggered when a space is deselected.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VenueMapFragment.VenueListener.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/VenueMapFragment.VenueListener.html#onSpaceSelected-com.here.android.mpa.venues3d.Venue-com.here.android.mpa.venues3d.Space-">onSpaceSelected</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/Venue.html" title="class in com.here.android.mpa.venues3d">Venue</a> venue,
               <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space)</code>
<div class="block">This callback method is triggered when a space is tapped.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VenueController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/VenueController.html#selectSpace-com.here.android.mpa.venues3d.Space-">selectSpace</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space)</code>
<div class="block">This method selects the space specified by the caller from the given <a href="../../../../../../com/here/android/mpa/venues3d/Venue.html" title="class in com.here.android.mpa.venues3d"><code>Venue</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VenueController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/VenueController.html#setStyleSettings-com.here.android.mpa.venues3d.StyleSettings-com.here.android.mpa.venues3d.Space-">setStyleSettings</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/StyleSettings.html" title="class in com.here.android.mpa.venues3d">StyleSettings</a> settings,
                <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space)</code>
<div class="block">Sets <a href="../../../../../../com/here/android/mpa/venues3d/StyleSettings.html" title="class in com.here.android.mpa.venues3d"><code>StyleSettings</code></a> object for the specific space.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../com/here/android/mpa/venues3d/package-summary.html">com.here.android.mpa.venues3d</a> with parameters of type <a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/venues3d/SpaceLocation.html#SpaceLocation-com.here.android.mpa.venues3d.Space-com.here.android.mpa.venues3d.VenueController-">SpaceLocation</a></span>(<a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Space</a> space,
             <a href="../../../../../../com/here/android/mpa/venues3d/VenueController.html" title="class in com.here.android.mpa.venues3d">VenueController</a> controller)</code>
<div class="block">Constructs a space location object with a given space and venue controller objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/venues3d/Space.html" title="class in com.here.android.mpa.venues3d">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/venues3d/class-use/Space.html" target="_top">Frames</a></li>
<li><a href="Space.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
